Name:           python-raytracing
Version:        1.3.10
Release:        1%{?dist}
Summary:        Simple optical ray tracing library     to validate the design of an optical system     (lenses positions and sizes, focal lengths,     aperture and field stops). Support for Monte Carlo     raytracing to estimate transmission efficiency and powers,     limited but functional Zemax file loader for lenses, several     material dispersion curves included for chromatic aberrations     all coming from http://refractiveindex.info

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/DCC-Lab/RayTracing
Source:         %{pypi_source raytracing}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'raytracing' generated automatically by pyp2spec.}


%description %_description

%package -n     python3-raytracing
Summary:        %{summary}

%description -n python3-raytracing %_description


%prep
%autosetup -p1 -n raytracing-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-raytracing -f %{pyproject_files}


%changelog
* Mon Jan 30 2023 mockbuilder - 1.3.10-1
- Initial package